      REAL ALPHA,CS,CZR,CZS,C1,C2,C3,GLMIN,HR,HS,ZMINH,LPC,N,RHOTP,RM
		REAL WNDRAT
C  ALPHA   Priestley-Taylor coefficient
C  CS      ratio of projected stem area to height for closed canopy
C  CZR     ratio of roughness to height for rough closed canopies
C  CZS     ratio of roughness to height for smooth closed canopies
C  C1      intercept in actual/potential solar radiation to sunshine duration
C  C2      slope in actual/potential solar radiation to sunshine duration
C  C3      longwave cloud correction coefficient
C  GLMIN   cuticular leaf surface conductance for all sides of leaf, m/s
C  HR      height above which CZR applies, m
C  HS      height below which CZS applies, m
C  ZMINH   reference height above the canopy height m
C  LPC     minimum projected LAI for "closed" canopy
C  N       wind/diffusivity extinction coefficient
C  RHOTP   ratio of total leaf surface area to projected leaf area
C  RM      maximum solar radiation, at which FR = 1,  W/m2
C  WNDRAT  ratio of nighttime to daytime wind speed
C  tpg-2/96 changed GLMIN from .0005 to .0003
      LPC = 4.0
      C1 = 0.25
      C2 = 0.5
      C3 = 0.2
      ALPHA = 1.26
      CZS = 0.13
      CZR = 0.05
      HR = 10.0
      HS = 1.0
      ZMINH = 2.0
C      RSS = 500.0
      WNDRAT = 0.3
      N = 2.5
      CS = 0.035
      GLMIN = 0.0003
      RM = 1000.0
      RHOTP = 2.0

